FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Ubuntu > Ubuntu User

 
 
LinkBack Thread Tools
 
Old 04-25-2008, 07:54 PM
"John Toliver"
 
Default How do I downgrade Openoffice2.4 back to 2.3.1

I ran into an issue where 2.4 can't see my installation of Java and when I try to run a report from the database (which relies on Java) the report blows up.* This worked on 2.3.1 and upgrading to hardy from gutsy was the only changed so I know it's open office.


How can I downgrade only openoffice.* I thought I could by enabling gutsy repos but whenever I reload from synaptic, I can only see the 2.4 version.

Thanks in advance,
--
Patience yields far greater results than brute force or rage ever could so relax......it's just life !!!
--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
 
Old 04-25-2008, 08:27 PM
NoOp
 
Default How do I downgrade Openoffice2.4 back to 2.3.1

On 04/25/2008 12:54 PM, John Toliver wrote:
> I ran into an issue where 2.4 can't see my installation of Java and when I
> try to run a report from the database (which relies on Java) the report
> blows up. This worked on 2.3.1 and upgrading to hardy from gutsy was the
> only changed so I know it's open office.
>
> How can I downgrade only openoffice. I thought I could by enabling gutsy
> repos but whenever I reload from synaptic, I can only see the 2.4 version.
>
> Thanks in advance,
>
>

You can run parallel versions of OOo by following the instructions here:

http://wiki.services.openoffice.org/wiki/Run_OOo_versions_parallel

Follow the DEB instructions. That way you can keep your 2.4 *and* run
2.3.1 (standard version - not Ubuntu version). YOu can even run them at
the same time.

However, I suspect that the problem you are having is that (U)OOo isn't
completely installed. For whatever reason, there wasn't sufficient space
on the CD to include all of the proper OOo packages. I discovered this
when trying to get address sources to work awhile back, see:

https://bugs.launchpad.net/ubuntu/+source/openoffice.org/+bug/93546/comments/31
https://bugs.launchpad.net/ubuntu/+source/openoffice.org/+bug/93546/comments/32

Open Synaptic & search on openoffice.org. Make sure that you have these
installed:

openoffice.org-base
openoffice.org-java-common

Reopen OOo and then make sure that your java is enabled: Tools|Options|Java



--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
 
Old 04-26-2008, 06:48 AM
John Toliver
 
Default How do I downgrade Openoffice2.4 back to 2.3.1

On Fri, 2008-04-25 at 13:27 -0700, NoOp wrote:


However, I suspect that the problem you are having is that (U)OOo isn't

completely installed.


Correct.* I had to completely remove all of 2.4 and then reinstall it.it finally worked and then choked on a database I wrote in 2.3.1.* As of yet now work around so I still ended up having to downgrade.* Here is the launchpad link for an explanation of everything I did:



https://answers.launchpad.net/ubuntu/+question/30811



basically restored my gutsy sources.list file and manually forced install all the packages that make up 2.3.1.* I have no idea what kind of havoc I'm in for but for the time being the system is holding steady




https://bugs.launchpad.net/ubuntu/+source/openoffice.org/+bug/93546/comments/31

https://bugs.launchpad.net/ubuntu/+source/openoffice.org/+bug/93546/comments/32



Open Synaptic & search on openoffice.org. Make sure that you have these

installed:



openoffice.org-base

openoffice.org-java-common


I verified those each time and they were installed and it still gave me a hard time.* I later discovered that it had something to do with my .openoffice.org2 profile in my ~/ directory.* When I used the fresh profile created with the install it opened the database.* However when I opened it with the old profile I had from 2.3 (I have a lot of settings I'd rather not have to recreate) it gave me problems and claimed Java was either broken, or not installed.



At any rate thanks for your help noOp


--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
 
Old 04-26-2008, 08:59 PM
NoOp
 
Default How do I downgrade Openoffice2.4 back to 2.3.1

On 04/25/2008 11:48 PM, John Toliver wrote:
> On Fri, 2008-04-25 at 13:27 -0700, NoOp wrote:
>
>> However, I suspect that the problem you are having is that (U)OOo
>> isn't
>> completely installed.
>
> Correct. I had to completely remove all of 2.4 and then reinstall it.it
> finally worked and then choked on a database I wrote in 2.3.1. As of
> yet now work around so I still ended up having to downgrade. Here is
> the launchpad link for an explanation of everything I did:
>
> https://answers.launchpad.net/ubuntu/+question/30811
>
> basically restored my gutsy sources.list file and manually forced
> install all the packages that make up 2.3.1. I have no idea what kind
> of havoc I'm in for but for the time being the system is holding steady
>
>>
>> https://bugs.launchpad.net/ubuntu/+source/openoffice.org/+bug/93546/comments/31
>> https://bugs.launchpad.net/ubuntu/+source/openoffice.org/+bug/93546/comments/32
>>
>> Open Synaptic & search on openoffice.org. Make sure that you have
>> these
>> installed:
>>
>> openoffice.org-base
>> openoffice.org-java-common
>
> I verified those each time and they were installed and it still gave me
> a hard time. I later discovered that it had something to do with
> my .openoffice.org2 profile in my ~/ directory. When I used the fresh
> profile created with the install it opened the database. However when I
> opened it with the old profile I had from 2.3 (I have a lot of settings
> I'd rather not have to recreate) it gave me problems and claimed Java
> was either broken, or not installed.
>
> At any rate thanks for your help noOp
>
>

Found the bug:

http://www.openoffice.org/issues/show_bug.cgi?id=87709

Sounds like this needs to be nominated as a showstopper for OOo 2.4.1
and 3.0. I'll bring it up on the OOo releases & dba list and see what I
can do. You should file an (U)OOo launchpad bug report and refer the
the OOo 87709 upstream, that way Chris Cheney is aware of it.

If you are concerned about the forced (U)2.3.1, you can put (U)2.4 back
and then install standard OOo2.3.1 using the instructions on the link I
provided. I have one machine that has (U)2.4.0, OOo2.3.1, OOo3.0Beta,
and StarOffice 8/9 running. I can even bring up all at the same time for
comparison when needed.

Gary



--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
 
Old 04-26-2008, 09:44 PM
John Toliver
 
Default How do I downgrade Openoffice2.4 back to 2.3.1

On Sat, 2008-04-26 at 13:59 -0700, NoOp wrote:


Sounds like this needs to be nominated as a showstopper for OOo 2.4.1

and 3.0. I'll bring it up on the OOo releases & dba list and see what I

can do.* You should file an (U)OOo launchpad bug report and refer the

the OOo 87709 upstream, that way Chris Cheney is aware of it.


I'll go ahead and do just that.* I'm in the middle of trying to make sure my existing installation is OK and once that's satisfied, will go ahead and start the process.




If you are concerned about the forced (U)2.3.1, you can put (U)2.4 back

and then install standard OOo2.3.1 using the instructions on the link I

provided.


I had the hardest time finding a complete installation.* I went to the OOo website and could only find links for 2.4, and I think I was finally able to get a torrent pointing to 2.3.1 but no seeders.* I eventually did it by backing up my Hardy "sources.list" file and replacing it with Gutsy "sources.list" and then forcing.* I'm probably going to do it again as I don't think everything is properly installed yet.








Patience yields far greater results than brute force or rage ever could so relax......it's just life !!!





--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
 
Old 04-26-2008, 10:35 PM
NoOp
 
Default How do I downgrade Openoffice2.4 back to 2.3.1

On 04/26/2008 02:44 PM, John Toliver wrote:

>
> I had the hardest time finding a complete installation. I went to the
> OOo website and could only find links for 2.4, and I think I was finally
> able to get a torrent pointing to 2.3.1 but no seeders. I eventually
> did it by backing up my Hardy "sources.list" file and replacing it with
> Gutsy "sources.list" and then forcing. I'm probably going to do it
> again as I don't think everything is properly installed yet.
>


Standard OOo 2.3.1 is here:

http://distribution.openoffice.org/mirrors/
Pick a mirror close to you
I'll use OSU:
ftp://ftp.osuosl.org/pub/openoffice/
ftp://ftp.osuosl.org/pub/openoffice/stable
ftp://ftp.osuosl.org/pub/openoffice/stable/2.3.1

Note that that is *not* the same as the Ubuntu version. Ubuntu uses the
xiamian (Novell) branch version. However, database functions in the
standard OOo version are a bit better (IMHO) and you have better access
to additional address sources. To install follow the parallel install
info, otherwise you'll need to completely un-install the Ubuntu version.
Let me know if you help on either.

When you get things settle down a bit, can you please download and
install OOo3.0Beta to see if you still have the same issue? I've
nominated 87709 as a potential showstopper for 2.4.1, but need to know
if this also is occuring in 3.0Beta. Link for 3.0B is here:

Download & move to a clean test/download directory:
<ftp://ftp.osuosl.org/pub/openoffice/developer/BEA300_m1/OOo-Dev_BEA300_m1_LinuxIntel_install_en-US_deb.tar.gz>

Doubleclick the .gz file in Nautilus and extract into the directory.
Then install:

sudo dpkg -i *.deb

Note: installing 3B will *not* interfere with your exsisting (U)2.x or
any standard OOo installs, or your exising OOo user profiles. 3B profile
will be in .ooo-dev3.

Then

cd /opt/ooo-dev3/program
./soffice

Tell it that you don't want to do online updates or register. Test.
You can create a link to it in your Applications menu - right click
Applications, edit menus, the Office, "New Item" etc...

Thanks



--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
 
Old 04-26-2008, 11:11 PM
NoOp
 
Default How do I downgrade Openoffice2.4 back to 2.3.1

On 04/25/2008 11:48 PM, John Toliver wrote:

>
> I verified those each time and they were installed and it still gave me
> a hard time. I later discovered that it had something to do with
> my .openoffice.org2 profile in my ~/ directory. When I used the fresh
> profile created with the install it opened the database. However when I
> opened it with the old profile I had from 2.3 (I have a lot of settings
> I'd rather not have to recreate) it gave me problems and claimed Java
> was either broken, or not installed.

In your old profile, go to:

/home/<user>/.openoffice.org2/user/config

Rename: javasettings_Linux_x86.xml
to
x-javasettings_Linux_x86.xml-x

Restart OOo then reset your java settings:

Tools|Options|OpenOffice.org|Java

Don't forget to add any classpaths like jmf etc back in that you may
have included previously.

Close and restart OOo.

That will create a new javasettings_Linux_x86.xml


--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
 
Old 04-27-2008, 01:52 AM
NoOp
 
Default How do I downgrade Openoffice2.4 back to 2.3.1

On 04/26/2008 03:35 PM, NoOp wrote:
[snip]
>
> cd /opt/ooo-dev3/program
> ./soffice
>
> Tell it that you don't want to do online updates or register. Test.
> You can create a link to it in your Applications menu - right click
> Applications, edit menus, the Office, "New Item" etc...


John, I've confirmed it also is a problem in 3.0beta. One of the key OOo
database user guru's (Drew Jensen) offered this as an 'ugly' workaround:

http://www.oooforum.org/forum/viewtopic.phtml?p=283040#283040






--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
 
Old 04-27-2008, 02:48 AM
John Toliver
 
Default How do I downgrade Openoffice2.4 back to 2.3.1

On Sat, 2008-04-26 at 18:52 -0700, NoOp wrote:







John, I've confirmed it also is a problem in 3.0beta. One of the key OOo
database user guru's (Drew Jensen) offered this as an 'ugly' workaround:

http://www.oooforum.org/forum/viewtopic.phtml?p=283040#283040


Yes I've submitted the launchpad bug as well as voted on it in issues over at openoffice.org.* I don't mind bugs, as I got myself into this by breaking the cardinal rule, "if it aint broke....." so as long as I have a working 2.3.1, I can wait until 3.1 to upgrade as long as my data is safe.


--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
 

Thread Tools




All times are GMT. The time now is 01:43 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org